package com.engine.organization.entity;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author weaver_cl
 * @Description: TODO 日志实体类 hr_log
 * @Date 2022/4/27
 * @Version V1.0
 **/

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class LoggerContext implements Serializable {

    private static final long serialVersionUID = 15869325700230992L;

    //日志ID
    private long id;

    //操作人
    private String operator;

    //操作人姓名
    private String operatorName;

    // '操作时间(yyyy-MM-dd HH:mm:ss)'
    @JSONField(format="yyyy-MM-dd HH:mm:ss")
    private Date operTime;

    private Integer operateType;




}
